Name: roundup
Version: 1.3.3
Release: alt1

Summary: A simple-to-use and -install issue-tracking system with command-line, web and e-mail interfaces

License: ZPL 2.0
Group: Networking/WWW
Url: http://roundup.sourceforge.net/

Packager: Vitaly Lipatov <lav@altlinux.ru>

%add_python_lib_path %python_sitelibdir/%name/backends/

#Source: http://dl.sf.net/%name/%name-%version.tar.bz2
Source: http://cheeseshop.python.org/packages/source/r/roundup/%name-%version.tar.bz2

# manually removed: eric mailcap MySQL-server
# Automatically added by buildreq on Sat Jul 29 2006
BuildRequires: python-dev python-module-egenix-mx-base python-module-MySQLdb python-module-psycopg python-module-pysqlite python-modules python-modules-bsddb python-modules-compiler python-modules-email python-modules-encodings python-modules-logging

%add_python_req_skip metakit xapian

%description
Roundup is a simple-to-use and -install issue-tracking system with
command-line, web and e-mail interfaces. It is based on the winning design
from Ka-Ping Yee in the Software Carpentry "Track" design competition.

%package doc
Group: Networking/WWW
Summary: Documentation for %name

%description doc
Documentation for %name.

%package backends-xapian
Group: Networking/WWW
Summary: xapian module
Requires: %name = %version-%release

%description backends-xapian
xapian module.
build me: we need build xapian binding to python.

%package backends-metakit
Group: Networking/WWW
Summary: metakit module
Requires: %name = %version-%release

%description backends-metakit
metakit module.

%package backends-mysql
Group: Networking/WWW
Summary: mysql module
Requires: %name = %version-%release

%description backends-mysql
mysql module.

%package backends-postgresql
Group: Networking/WWW
Summary: postgresql module
Requires: %name = %version-%release

%description backends-postgresql
postgresql module.

%package backends-sqlite
Group: Networking/WWW
Summary: sqlite module
Requires: %name = %version-%release

%description backends-sqlite
sqlite module.

%prep
%setup -q %name-%version
#%patch -p0

%build
# only internal
#%__python test/test_actions.py
%__python run_tests.py

%install
%__python setup.py install --root=%buildroot
mv %buildroot%prefix/man %buildroot%_datadir/man

%find_lang %name

%files -f %name.lang
%doc COPYING.txt
%_bindir/*
%python_sitelibdir/%name/
%exclude %python_sitelibdir/%name/backends/indexer_xapian*
%exclude %python_sitelibdir/%name/backends/back_metakit*
%exclude %python_sitelibdir/%name/backends/back_mysql*
%exclude %python_sitelibdir/%name/backends/back_sqlite*
%exclude %python_sitelibdir/%name/backends/back_postgresql*
%_datadir/%name/
%_man1dir/*

%files doc
%doc doc/ README.txt CHANGES.txt
%doc tools/

%files backends-xapian
%python_sitelibdir/%name/backends/indexer_xapian*

%files backends-metakit
%python_sitelibdir/%name/backends/back_metakit*

%files backends-mysql
%python_sitelibdir/%name/backends/back_mysql*

%files backends-postgresql
%python_sitelibdir/%name/backends/back_postgresql*

%files backends-sqlite
%python_sitelibdir/%name/backends/back_sqlite*

%changelog
* Fri Mar 30 2007 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt1
- new version 1.3.3 (with rpmrb script)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 1.3.2-alt0.1
- new version 1.3.2 (with rpmrb script)

* Sun Nov 19 2006 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt0.1
- new version 1.3.1 (with rpmrb script)

* Sun Oct 08 2006 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt0.1
- new version 1.2.1 (with rpmrb script)

* Thu Jul 27 2006 Vitaly Lipatov <lav@altlinux.ru> 1.1.2-alt0.1
- initial build for ALT Linux Sisyphus

